Skip to main content
POST
Update a workflow node
Shared resources such as email messages and audience segments should be updated through their own APIs.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflowId
string
required

The ID of the workflow.

nodeId
string
required

The ID of the workflow node.

Body

application/json
expectedRevisionId
string
required

The workflow revision token returned by the latest workflow read or mutation. Mutations reject stale values.

payload
object
required

Node-type-specific fields to update. The allowed fields depend on the existing node type. Trigger node updates may include typeName when changing one trigger node type to another trigger node type.

Response

Workflow node updated.

The updated workflow node. The exact fields depend on typeName.

id
string
required
typeName
enum<string>
required
Available options:
SignupTrigger
nextNodeIds
string[]
required

The IDs of the nodes that are downstream of this node.

workflowRevisionId
string
required

The current workflow revision token. Pass the latest value as expectedRevisionId on the next workflow mutation.

Last modified on July 21, 2026